## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XercesDOMFormatterWalker Class Reference

Inheritance diagram for XercesDOMFormatterWalker:

[legend]
Collaboration diagram for XercesDOMFormatterWalker:

[legend]
List of all members.

## Public Types

- typedef XercesDOMWalker ParentType

## Public Member Functions

- XercesDOMFormatterWalker (FormatterListener &theFormatterListener)
    Constructor.
- virtual ~XercesDOMFormatterWalker ()

## Protected Member Functions

- virtual bool startNode (const DOMNodeType *node)
    Called when first walking a node.
- virtual bool endNode (const DOMNodeType *node)
    Called when leaving a node.

## Member Typedef Documentation

typedef XercesDOMWalker XercesDOMFormatterWalker::ParentType

## Constructor & Destructor Documentation

XercesDOMFormatterWalker::XercesDOMFormatterWalker | ( | FormatterListener & | theFormatterListener | ) |

| Constructor.

virtual XercesDOMFormatterWalker::~XercesDOMFormatterWalker | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual bool XercesDOMFormatterWalker::endNode | ( | const DOMNodeType * | node | ) | `[protected, virtual]`

  | Called when leaving a node. Parameters:
  node | The node
Returns: return false if traversal should continue, or true if it should not. Implements XercesDOMWalker.

virtual bool XercesDOMFormatterWalker::startNode | ( | const DOMNodeType * | node | ) | `[protected, virtual]`

  | Called when first walking a node. Parameters:
  node | The node
Returns: return false if traversal should continue, or true if it should not. Implements XercesDOMWalker.

The documentation for this class was generated from the following file:

- XercesDOMFormatterWalker.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.